Skip to content

Webhook setup metadata for manual GitHub configuration

GET
/integrations/webhooks/setup-info
curl --request GET \
--url https://example.com/api/integrations/webhooks/setup-info \
--header 'Authorization: Bearer <token>'

Returns payload URL, required events, and whether the server secret is configured. Does not return the secret; use POST /integrations/webhooks/reveal-secret.

Setup metadata

Media type application/json
object
webhook_url
required
string
content_type
required
string
events_mode
required
string
required_events
required
Array<string>
secret_configured
required
boolean
checklist
required
Array<string>

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean